{
  "name": "shockbyte-frontend-test",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check build-only",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.app.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "apexcharts": "^3.42.0",
    "axios": "^1.5.0",
    "pinia": "^2.1.6",
    "vue": "^3.3.4",
    "vue-awesome-paginate": "^1.1.46",
    "vue-router": "^4.2.4",
    "vue-toast-notification": "^3.1.1",
    "vue3-apexcharts": "^1.4.4"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.3.2",
    "@tsconfig/node18": "^18.2.0",
    "@types/node": "^18.17.5",
    "@vitejs/plugin-vue": "^4.3.1",
    "@vitejs/plugin-vue-jsx": "^3.0.2",
    "@vue/cli-plugin-typescript": "~5.0.0",
    "@vue/eslint-config-prettier": "^8.0.0",
    "@vue/eslint-config-typescript": "^11.0.3",
    "@vue/tsconfig": "^0.4.0",
    "autoprefixer": "^10.4.15",
    "eslint": "^8.46.0",
    "eslint-plugin-vue": "^9.16.1",
    "npm-run-all": "^4.1.5",
    "postcss": "^8.4.29",
    "prettier": "^3.0.0",
    "tailwindcss": "^3.3.3",
    "typescript": "~5.1.6",
    "vite": "^4.4.9",
    "vue-tsc": "^1.8.8"
  }
}
